Arch Fenêtre

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Window and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Page précédente: Arch Reference.svg Reference
Page suivante: Plan de coupe Arch SectionPlane.svg Arrow-right.svg

Arch Window.svg Fenêtre

Emplacement du menu
Arch → Fenêtre
Ateliers
Atelier Architecture
Raccourci par défaut
W I
Introduit dans la version
-
Voir aussi
Arch Mur, Arch Addition


Description

Un outil fenêtre est un objet de base pour toutes sortes d'objets intégrable, comme les fenêtres et portes. Il est conçu pour être indépendant, ou devenir hôte à l'intérieur d'un autre composant comme un mur, un élément de structure, ou un toit. Il a sa propre forme géométrique, qui peut être fait de plusieurs composants (généralement un cadre et des panneaux intérieurs), et définit également un volume à soustraire aux objets hôtes, afin de créer une ouverture.


Les fenêtres sont basées sur des objets 2D fermés comme des rectangles ou des esquisses utilisés pour définir les composantes internes. L'objet 2D de base peut donc contenir plusieurs fils fermés, qui peuvent être combinés pour constituer des panneaux pleins (un seul fil) ou cadres (plusieurs fils).

L'outil Window comporte également plusieurs préréglages ; Cela permet à l'utilisateur de créer des types communs de fenêtres et de portes avec certains paramètres modifiables, sans qu'il soit nécessaire de créer manuellement les objets et composants 2D de base.

Toutes les informations applicables à une fenêtre s'appliquent également à une porte, car il s'agit du même objet sous-jacent. La principale différence entre une fenêtre et une porte est que la porte a un panneau interne qui est représenté opaque (la porte elle-même), tandis que la fenêtre a un panneau qui est partiellement transparent (le verre).

Arch Window example.jpg

Fenêtre construite à partir d'un rectangle de dessin puis insérée dans un mur. L’utilisation de addition découpe automatiquement une ouverture correcte dans le mur hôte.


Arch Window example2.jpg

Fenêtre complexe en cours de construction sur une esquisse. Lorsque vous entrez en mode édition de la fenêtre, vous pouvez créer différents composants, définir leur épaisseur puis sélectionner et affecter des fils de l'esquisse à ceux-ci.


Utilisation

Utilisation des préréglages

  1. Tout désélectionner. Si une face est sélectionnée, vous entrez dans le mode "Créer à partir de zéro" mode automatique.
  2. Appuyez sur le bouton Arch Window.svg Arch Window ou appuyez sur les touches W puis I.
  3. Sélectionnez un des préréglages dans la liste.
  4. Remplissez les paramètres souhaités.
  5. Cliquez sur le bouton OK.

Note: Si vous installez la "Bibliothèque de pièces" à partir de AddonManager, l'outil recherchera des préréglages supplémentaires dans cette bibliothèque. Ces préréglages sont des fichiers FreeCAD contenant une seule fenêtre basée sur une esquisse paramétrique ayant des contraintes nommées. Vous pouvez placer des préréglages supplémentaires dans le répertoire parts_library de manière à ce qu'ils soient trouvés par l'outil Fenêtre.

$ROOT_DIR/Mod/parts_library/Architectural\ Parts/Doors/Custom/
$ROOT_DIR/Mod/parts_library/Architectural\ Parts/Windows/Custom/

Le dossier $ROOT_DIR est le répertoire de l'utilisateur où la configuration, les macros et les établis externes de FreeCAD sont stockés.

  • L'emplacement habituel dans Linux est /home/username/.FreeCAD/
  • L'emplacement habituel dans Windows est C:\Users\username\AppData\Roaming\FreeCAD
  • L'emplacement habituel dans est /Users/username/Library/Preferences/FreeCAD/

Création à partir de zéro

  1. Optionnellement, sélectionnez une face ou un objet Arch où vous devez insérer votre fenêtre
  2. Activez le module Sketcher
  3. Créez une nouvelle esquisse
  4. Dessinez une ou plusieurs formes fermées
  5. Fermez le sketcher
  6. Activez le module Arch Workbench
  7. Appuyez sur le bouton Arch Window.svg Arch Window ou appuyez sur les touches W puis I
  8. Entrez dans le mode édition en double cliquant sur la fenêtre dans la vue 3D, pour ajuster les composants de la fenêtre

Préréglages

Les préréglages suivants sont disponibles :

Création de composants

Arch Windows peut inclure trois types de composants : panneaux, cadres et grilles. Les panneaux et grilles sont constitués d'un fil fermé, obtenu par extrusion, tandis que les armatures sont faites de 2 fils fermés ou plus, où chacune est extrudée, puis les plus petites sont soustraites des plus grandes. Vous pouvez accéder, créer, modifier et supprimer des composants d'une fenêtre en mode d'édition (double-cliquez sur la fenêtre dans la vue 3D). Les composants ont les propriétés suivantes :

  • Name: Le nom du composant
  • Type: Le type de composant The type of component. Peut être, "un panneau de verre", "panneau solide" ou "une persienne"
  • Wires: Liste de fils séparés par une virgule
  • Thickness : l'épaisseur de l'extrusion du composant.
  • Z Offset : la distance entre le composant, et, sa ligne de base 2D.
  • Hinge: Ceci vous permet de sélectionner un bord de l'objet 2D de base, puis de définir ce bord comme une charnière pour ce composant et ceux qui sont dans la liste
  • Opening mode: Si vous avez défini une charnière dans ce composant ou un autre dans la liste, le réglage du mode d'ouverture permettra à la fenêtre d'apparaître ouverte ou d'afficher les symboles 2D d'ouverture en plan ou en élévation.

Arch Window options.jpg

Options

  • L'objet Windows partage les propriétés communes et le comportement de tous les objet Arch Composants
  • Si la case Auto-include est cochée , la fenêtre ne sera pas insérée dans l'objet hôte.
  • Ajoutez une fenêtre sélectionnée sur un mur, pressez sur le bouton Arch Add.svg ajouter.
  • Supprimez la fenêtre sélectionnée du mur, pressez sur le bouton Arch Remove.svg effacer.
  • Lors de l'utilisation des préréglages, il est souvent commode de transformer le "Near" Draft Snap, donc vous pouvez coller votre fenêtre sur une face existante.
  • L'emplacement créé par une fenêtre sur objet hôte est déterminé par deux propriétés: DATAHole Depth (Profondeur de l'emplacement) et DATAHole Wire (Lignes de l'emplacement) (Disponible dans la version 0.17). Le numéro d'emplacement de la ligne peut être sélectionné dans la vue 3D ou dans le panneau de tâches de la fenêtre en double-cliquant sur la fenêtre dans l'arborescence de la Vue combinée
  • L'outil Windows peut utiliser la fonction Multi-Materials. La fenêtre cherchera dans Multi-Material les couches de matériaux avec le même nom pour chacun des composants de la fenêtre et l'utiliser si le composant est trouvé. Par exemple, un composant appelé "OuterFrame" cherchera dans le Multi-Material attaché, une couche de matériau appelée "OuterFrame". Si une telle couche de matériau est trouvée, son matériau sera attribué au composant OuterFrame. La valeur de l'épaisseur de la couche de matériau n'est pas prise en compte.

Ouvertures

Voir aussi: Tutoriel pour les fenêtres ouvertes

Les portes et fenêtres peuvent apparaître partiellement ou entièrement ouvertes dans le modèle 3D ou peuvent afficher des symboles d'ouverture en plan et/ou en élévation. Par conséquent, elles apparaîtront également dans les vues 2D extraites générées par Draft Shape2DView ou TechDraw ou Drawing Workbench. Pour obtenir ceci, au moins un des composants de la fenêtre doit avoir une charnière et un mode d'ouverture défini (voir la section Composants de construction ci-dessus). Ensuite, en utilisant les propriétés DATAOpening, DATASymbol Plan ou DATASymbol Elevation, vous pouvez configurer l'apparence de la fenêtre:

Arch window openings.png

Porte indiquant le plan des symboles, leur élévation et les propriétés d'ouverture au travail


Propriétés

  • DONNÉESWindow Parts : une liste chaîne (5 chaînes par composant, réglez les options des composants ci-dessus)
  • DONNÉESLouvre Width: Si un des composants est réglé sur "Louvres", cette propriété définit la taille des éléments de la persienne
  • DONNÉESLouvre Spacing: Si un des composants est réglé sur "Louvres", cette propriété défini l'espacement entre les éléments de la persienne
  • DONNÉESHole Wire: Le nombre de lignes pour l'objet de base est utilisé pour créer l'emplacement dans l'objet hôte de cette fenêtre. Cette valeur peut être graphiquement en double cliquant sur la fenêtre dans la vue 3D. Si vous donner la valeur 0 la fenêtre sera automatiquement construite sur la plus grande valeur de la ligne de l'emplacement.
  • DONNÉESWindow Parts: Une liste d'éléments (5 éléments par composant, définissant les options de composant ci-dessus)
  • DONNÉESLouvre Width: Si un des composants est réglé sur "Louvres", cette propriété définit la taille des éléments du louvre
  • DONNÉESLouvre Spacing: Si un des composants est réglé sur "Louvres", cette propriété définit l'espace entre les éléments du louvre
  • DONNÉESOpening: Tous les composants dont le mode d'ouverture est défini, et à condition qu'une charnière soit définie dans ceux-ci ou dans un composant antérieur de la liste, apparaissent ouverts par un pourcentage défini par cette valeur
  • DONNÉESSymbol Plan: Affiche le symbole d'ouverture dans le plan 2D
  • DONNÉESSymbol Elevation: Affiche le symbole d'ouverture en élévation dans le plan 2D

Script

Voir aussi: Arch API et Débuter avec les scripts.

L'outil Fenêtre peut être utilisé à l'intérieur d'une macro, et, à partir de la console Python, en utilisant la fonction suivante :

Window = makeWindow(baseobj=None, width=None, height=None, parts=None, name="Window")
  • Créer un objet Window basé sur baseobj, qui devrait être un fil fermé ou une esquisse
  • Si disponible, définir la largeur width, hauteur height et le nom name (label) de la fenêtre.
  • Si baseobj n'est pas une forme fermée, l'outil ne pourra pas créer une figure solide correcte.

Exemple:

import FreeCAD, Draft, Arch

Rect1 = Draft.makeRectangle(length=900, height=3000)
Window = Arch.makeWindow(Rect1)
FreeCAD.ActiveDocument.recompute()

Vous pouvez également créer une fenêtre à partir d'un préréglage.

Window = makeWindowPreset(windowtype, width, height, h1, h2, h3, w1, w2, o1, o2, placement=None)
  • Crée un objet Window basé sur windowtype qui devrait être l'un des noms définis dans Arch.WindowPresets
    • Certains de ces préréglages sont: "Fixed" (fixe), "Open 1-pane" (un battant ouvert), ""Open 2-pane" (2 battants ouverts), "Sash 2-pane" (2 vantaux), "Sliding 2-pane" (2 volets coulissants), "Simple door" (Porte simple), "Glass door" (Porte vitrée), "Sliding 4-pane" (4 volets coulissants).
  • width et height définissent la taille totale de l'objet en millimètres.
  • Les paramètres h1, h2, h3 (décalages verticaux), w1, w2 (largeurs), o1 et o2 (décalages horizontaux) spécifient des distances différentes en millimètres et dépendent du type de préréglage en cours de création.
  • Si un placement est donné, il est utilisé.

Exemple:

import FreeCAD, Arch

base = FreeCAD.Vector(2000, 0, 0)
Axis = FreeCAD.Vector(1, 0, 0)
place=FreeCAD.Placement(base, FreeCAD.Rotation(Axis, 90))

Door = Arch.makeWindowPreset("Simple door",
                             width=900, height=2000,
                             h1=100, h2=100, h3=100, w1=200, w2=100, o1=0, o2=100,
                             placement=place)
Arrow-left.svg Page précédente: Arch Reference.svg Référence
Page suivante: Plan de coupe Arch SectionPlane.svg Arrow-right.svg